← Back to API Reference

/color_palette_colors

Tag: color_palette_colors

getJunction table linking colors to palettes

Parameters

NameInTypeFormatRequiredDescription
idquerystring
palette_idquerystringReference to the color palette
color_idquerystringReference to the color
positionquerystringSort order within the palette
created_atquerystring
selectquerystringFiltering Columns
orderquerystringOrdering
RangeheaderstringLimiting and Pagination
Range-UnitheaderstringLimiting and Pagination
offsetquerystringLimiting and Pagination
limitquerystringLimiting and Pagination
PreferheaderstringPreference

Example

bash
curl "https://szkofkgbqogzlbqtcrke.supabase.co/rest/v1/color_palette_colors?select=*&limit=10" \
  -H "apikey: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"

Responses

200OK
206Partial Content

postJunction table linking colors to palettes

Parameters

NameInTypeFormatRequiredDescription
color_palette_colorsbodyobjectcolor_palette_colors
selectquerystringFiltering Columns
PreferheaderstringPreference

Example

bash
curl -X POST "https://szkofkgbqogzlbqtcrke.supabase.co/rest/v1/color_palette_colors" \
  -H "apikey: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -H "Prefer: return=representation" \
  -d '{
  "palette_id": "00000000-0000-0000-0000-000000000000",
  "color_id": "00000000-0000-0000-0000-000000000000",
  "position": 0
}'

Responses

201Created

patchJunction table linking colors to palettes

Parameters

NameInTypeFormatRequiredDescription
idquerystring
palette_idquerystringReference to the color palette
color_idquerystringReference to the color
positionquerystringSort order within the palette
created_atquerystring
color_palette_colorsbodyobjectcolor_palette_colors
PreferheaderstringPreference

Example

bash
curl -X PATCH "https://szkofkgbqogzlbqtcrke.supabase.co/rest/v1/color_palette_colors?id=eq.YOUR_ID" \
  -H "apikey: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -H "Prefer: return=representation" \
  -d '{"palette_id": "00000000-0000-0000-0000-000000000000"}'

Responses

204No Content

deleteJunction table linking colors to palettes

Parameters

NameInTypeFormatRequiredDescription
idquerystring
palette_idquerystringReference to the color palette
color_idquerystringReference to the color
positionquerystringSort order within the palette
created_atquerystring
PreferheaderstringPreference

Example

bash
curl -X DELETE "https://szkofkgbqogzlbqtcrke.supabase.co/rest/v1/color_palette_colors?id=eq.YOUR_ID" \
  -H "apikey: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"

Responses

204No Content

Schema

Junction table linking colors to palettes

ColumnTypeFormatNullableDefaultNotes
idPK
stringuuidextensions.uuid_generate_v4()This is a Primary Key.
palette_id
stringuuidFK → color_palettes.id
color_id
stringuuidFK → colors.id
position
integerinteger0Sort order within the palette
created_at
stringtimestamp with time zonenow()